PHP compilieren und Version updaten geht nicht

Bash, Shell, PHP, Python, Perl, CGI
dpellenz
Posts: 14
Joined: 2003-12-22 19:56

PHP compilieren und Version updaten geht nicht

Post by dpellenz »

Hallo.
Ich habe PHP in den Ordner: usr/src/php-4.3.4 entpacket.
Nun führe ich PHP mit folgendem Befehl aus:

./configure --prefix=/usr/share --datadir=/usr/share/php
--bindir=/usr/bin --libdir=/usr/share --includedir=/usr/include
--with-_lib=lib --with-config-file-path=/etc
--with-exec-dir=/usr/lib/php/bin --disable-debug --enable-bcmath
--enable-calendar --enable-ctype --enable-dbase --enable-discard-path
--enable-exif --enable-filepro --enable-force-cgi-redirect --enable-ftp
--enable-gd-imgstrttf --enable-gd-native-ttf
--enable-inline-optimization --enable-magic-quotes
--enable-mbstr-enc-trans --enable-mbstring --enable-memory-limit
--enable-safe-mode --enable-shmop --enable-sigchild --enable-sysvsem
--enable-sysvshm --enable-track-vars --enable-trans-sid
--enable-versioning --enable-wddx --with-bz2
--with-dom=/usr/include/libxml2 --with-ftp --with-gdbm --with-gettext
--with-gmp --with-iodbc --with-jpeg-dir=/usr --with-ldap=yes
--with-mcal=/usr --with-mcrypt --with-mysql=/usr --with-ndbm
--with-pgsql=/usr --with-png-dir=/usr --with-t1lib --with-tiff-dir=/usr
--with-ttf --with-freetype-dir=yes --with-xml --with-xpm-dir=/usr/X11R6
--with-zlib=yes --with-gd=shared --with-openssl --with-curl
--with-swf=./dist/ --with-mm --with-apxs=/usr/sbin/apxs i586-suse-linux
--enable-sockets

Das funktioniert auch alles.
Danach starte ich den Apache neu mit dem Befehl: rcapache restart

Jedoch ist immernoch die alte PHP Version aktiv.
http://www.wbb2host.de/phpinfo.php
schl
Posts: 343
Joined: 2003-02-05 11:26
Location: München/Unterschleißheim

Re: PHP compilieren und Version updaten geht nicht

Post by schl »

dpellenz
Posts: 14
Joined: 2003-12-22 19:56

Re: PHP compilieren und Version updaten geht nicht

Post by dpellenz »

Ja, Problem ist nur das ich die Sockets auf enable haben möchte.
yasp
Posts: 24
Joined: 2003-01-17 17:05

Re: PHP compilieren und Version updaten geht nicht

Post by yasp »

Habe das selbige Problem, woran kann es liegen?
User avatar
Joe User
Project Manager
Project Manager
Posts: 11176
Joined: 2003-02-27 01:00
Location: Hamburg

Re: PHP compilieren und Version updaten geht nicht

Post by Joe User »

Es liegt daran, dass Ihr planlos irgendwelche Optionen angebt, deren Auswirkungen und Nutzen Ihr nicht überblickt. Wie wäre es zur Abwechslung mit etwas RTFM?
PayPal.Me/JoeUserFreeBSD Remote Installation
Wings for LifeWings for Life World Run

„If there’s more than one possible outcome of a job or task, and one
of those outcomes will result in disaster or an undesirable consequence,
then somebody will do it that way.“ -- Edward Aloysius Murphy Jr.
yasp
Posts: 24
Joined: 2003-01-17 17:05

Re: PHP compilieren und Version updaten geht nicht

Post by yasp »

Ich habe keine zusätzlichen Optionen angeben, dennoch wird nach Neustart die alte Version angezeigt?

Falls ich zusätzlich --with-apxs angebe, kommt:

Sorry, I was not able to successfully run APXS. Possible reasons:

1. Perl is not installed;
2. Apache was not compiled with DSO support (--enable-module=so);
3. 'apxs' is not in your path. Try to use --with-apxs=/path/to/apxs
The output of apxs follows
./configure: line 3169: apxs: command not found
configure: error: Aborting


Was mache ich bloß falsch?
dpellenz
Posts: 14
Joined: 2003-12-22 19:56

Re: PHP compilieren und Version updaten geht nicht

Post by dpellenz »

Hallo.
Also ich ahbe jetzt Version 4.3.1 heruntergeladen und dann hat alles funktioniert!
darkspirit
Posts: 553
Joined: 2002-10-05 16:39
Location: D'dorf

Re: PHP compilieren und Version updaten geht nicht

Post by darkspirit »

yasp wrote:1. Perl is not installed;
2. Apache was not compiled with DSO support (--enable-module=so);
3. 'apxs' is not in your path. Try to use --with-apxs=/path/to/apxs
The output of apxs follows
./configure: line 3169: apxs: command not found
configure: error: Aborting

Was mache ich bloß falsch?
Sollen wir vorlesen? apxs wird nicht gefunden, gib dem configure den absoluten Pfad mit auf den Weg. Wenn apxs nicht zu finden ist, fehlt dir das devel-Paket vom Indianer.